# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Types
Hurricane::Net::Type Class Reference

## Public Types

enum | Code { UNDEFINED =0, LOGICAL =1, CLOCK =2, POWER =3, GROUND =4 }

## Detailed Description

Encapsulate the Net::Type::Code enumeration that defines the signal category.

## Member Enumeration Documentation

## ◆ Code

enum Hurricane::Net::Type::Code

This enumeration defines the signal category inside the Net::Type.

Enumerator
UNDEFINED | Type undefined.
LOGICAL | Type assigned to ordinary signals.
CLOCK | Type assigned to clock signals.
POWER | Type assigned to supply signals.
GROUND | Type assigned to supply signals.

The documentation for this class was generated from the following files:

- Net.h
- Net.dox